# class LDAP::Mod

### Public Class Methods

new(op, type, vals) click to toggle source

    # File lib/active_ldap/adapter/ldap_ext.rb, line 20
    def initialize(op, type, vals)
      if (VERSION.split(/\./).collect {|x| x.to_i} <=> [0, 9, 7]) <= 0
        @op, @type, @vals = op, type, vals # to protect from GC
      end
      _initialize(op, type, vals)
    end

Also aliased as: _initialize

### Public Instance Methods

_initialize(op, type, vals)
Alias for: new
to_s() click to toggle source

    # File lib/active_ldap/adapter/ldap_ext.rb, line 14
    def to_s
      inspect
    end